from ensemble.providers.common.bootstrap import Bootstrap

from .launch import EC2LaunchMachine


class EC2Bootstrap(Bootstrap):

    launch_machine_cls = EC2LaunchMachine

    def get_instance_id_cmd(self):
        """Snippet to discover local instance-id

        @return: a snippet of shell script that evaluates to the
            local machine's instance_id.
        """
        return "$(curl http://169.254.169.254/1.0/meta-data/instance-id)"

